<?php
/**
*
* @author Stoker 4.0
* @package Top Stats
* @version $Id: acp_donation.php, v1.0.2 20011/20/11 07:19:43 Exp $
* @copyright (c) 2011 Stoker 4.0 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/
/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}
/**
* @package acp
*/
class acp_donation
{
	var $u_action;

	function main($id, $mode)
	{
		global $config, $db, $user, $auth, $template;
		global $phpbb_root_path, $phpEx;

		$this->tpl_name = 'acp_donation';
		$this->page_title = $user->lang['ACP_DONATION_MOD'];
		$this->configuration();
		add_form_key('acp_donation');

	}
	
	function configuration ()
	{
		global $cache, $config, $db, $user, $auth, $template;
		global $phpbb_root_path, $phpEx, $phpbb_admin_path;
		
		$submit = (isset($_POST['submit'])) ? true : false;	
		
		$donation_row = array(
			'donation_body' 			=> utf8_normalize_nfc(request_var('donation_body', '', true)), 
			'donation_cancel' 			=> utf8_normalize_nfc(request_var('donation_cancel', '', true)), 
			'donation_success' 			=> utf8_normalize_nfc(request_var('donation_success', '', true)),
		);		
		
		if ($submit)
		{
			if (!check_form_key('acp_donation'))
			{
				$error[] = 'FORM_INVALID';
			}		

			
				foreach ($donation_row as $config_name => $config_value)
				{
					$sql = 'UPDATE ' . DONATION_TABLE . "
						SET config_value = '" . $db->sql_escape($config_value) . "'
						WHERE config_name = '" . $db->sql_escape($config_name) . "'";
					$db->sql_query($sql);
				}
				
				set_config('donation_enable', request_var('donation_enable', 1));
				set_config('donation_email', request_var('donation_email', ''));
				set_config('donation_goal_enable', request_var('donation_goal_enable', 0));
				set_config('donation_goal', request_var('donation_goal', ''));
				set_config('donation_achievement_enable', request_var('donation_achievement_enable', 0));
				set_config('donation_achievement', request_var('donation_achievement', ''));
				set_config('donation_goal_currency_enable', request_var('donation_goal_currency_enable', 0));
				set_config('donation_goal_currency', request_var('donation_goal_currency', ''));
							
				trigger_error($user->lang['DONATION_SAVED'] . adm_back_link($this->u_action));
			
		}
		
		// let's get it on
		$sql = 'SELECT * FROM ' . DONATION_TABLE;
		$result = $db->sql_query($sql);
		$donation = array();
		while ($row = $db->sql_fetchrow($result))	
		{
			$donation[$row['config_name']] = $row['config_value'];
		}
		$db->sql_freeresult($result);
						
		$donation_body = isset($donation['donation_body']) ? $donation['donation_body'] : '';
		$donation_cancel = isset($donation['donation_cancel']) ? $donation['donation_cancel'] : '';
		$donation_success = isset($donation['donation_success']) ? $donation['donation_success'] : '';		
		$donation_version = isset($config['donation_mod_version']) ? $config['donation_mod_version'] : '';
						
		$template->assign_vars(array(
			'DONATION_VERSION'					=> $donation_version,
			'DONATION_ENABLE'					=> $config['donation_enable'],
			'DONATION_EMAIL'					=> $config['donation_email'],
			'DONATION_ACHIEVEMENT_ENABLE'		=> $config['donation_achievement_enable'],
			'DONATION_ACHIEVEMENT'				=> $config['donation_achievement'],
			'DONATION_GOAL_ENABLE'				=> $config['donation_goal_enable'],
			'DONATION_GOAL'						=> $config['donation_goal'],
			'DONATION_GOAL_CURRENCY_ENABLE'		=> $config['donation_goal_currency_enable'],
			'DONATION_GOAL_CURRENCY'			=> $config['donation_goal_currency'],
			'DONATION_BODY'						=> $donation_body,
			'DONATION_CANCEL'					=> $donation_cancel,
			'DONATION_SUCCESS'					=> $donation_success,
			
			'U_ACTION'							=> $this->u_action)
		);
	}	
}

?>